require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Context"
import "android.os.Vibrator"
import "android.content.Intent"
import "android.net.Uri"

carlos = {
"Acceder al Tutorial","Acceder a los archivos en Google Drive","Grupo de Telegram: SGMods",
}

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
vibrator.vibrate(100)

local bienvenidaMensaje = [[Atención a todos, ¡tengo una gran noticia que compartir! Ahora, Jieshuo es totalmente compatible con MultiTTS, lo mejor de todo es que no necesitas instalar Auto TTS ni Multilingual TTS. ¡Simplemente haz clic en el siguiente botón para acceder al tutorial! Además, justo al lado de ese botón, encontrarás otro para descargar los archivos desde Google Drive. ¡No te lo pierdas y únete a esta emocionante actualización!]]

layout = {
  LinearLayout,
  orientation = LinearLayout.VERTICAL,
  {
    TextView,
    text = "¡Por Fin! Jieshuo es Compatible con MultiTTS sin Necesidad de Usar Auto TTS ni Multilingual TTS",
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    TextView,
    text = bienvenidaMensaje,
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    LinearLayout, -- Contenedor para los botones
    orientation = LinearLayout.VERTICAL,
    layout_width = "fill",
    layout_height = "fill",
    {
      GridView,
      id = "grid",
      numColumns = 1,
      layout_width = "fill",
      layout_height = "0dp",
      layout_weight = 1, -- Utiliza todo el espacio disponible
    },
    {
      Button,
      text = "Volver",
      onClick = function(view)
        dlg.dismiss()
        vibrator.vibrate(100)
      end,
      layout_width = "wrap_content",
      gravity = 5,
    },
  },
}

dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
grid.adapter = SingleLineAdapter(service, String(carlos))

grid.onItemClick = function(l, v)
  task(100, function()
    dlg.dismiss()
    local context = activity or service
    vibrator.vibrate(100)
    service.playSoundTick()

if v.text == carlos[1] then
openLink("https://youtu.be/scNLO4XDI3M")
elseif v.text == carlos[2] then
openLink("https://drive.google.com/drive/folders/1PJLwCQNcL3oFliP8QX-P1IbPc1V2HNwC")
elseif v.text == carlos[3] then
openLink("https://t.me/SGModsGroup")
    end
  end)
end

function openLink(url)
  local intent = Intent(Intent.ACTION_VIEW)
  intent.setData(Uri.parse(url))
  context.startActivity(intent)
service.asyncSpeak("El enlace se ha abierto.")
end

dlg.show()

function onKeyDown(code, event)
  if code == KeyEvent.KEYCODE_BACK then
    dlg.dismiss()
    return true
  end
end  return true